ONVIF::Device::Elements::SetRelayOutputSettings(3)

NAME
ONVIF::Device::Elements::SetRelayOutputSettings

DESCRIPTION
Perl data type class for the XML Schema defined element SetRelayOutputSettings from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   RelayOutputToken

     $element->set_RelayOutputToken($data);
     $element->get_RelayOutputToken();

•   Properties

     $element->set_Properties($data);
     $element->get_Properties();

METHODS

  new
 my $element = ONVIF::Device::Elements::SetRelayOutputSettings->new($data);

Constructor. The following data structure may be passed to new():

 {
   RelayOutputToken => $some_value, # ReferenceToken
   Properties =>  { # ONVIF::Device::Types::RelayOutputSettings
     Mode => $some_value, # RelayMode
     DelayTime =>  $some_value, # duration
     IdleState => $some_value, # RelayIdleState
   },
 },

AUTHOR
Generated by SOAP::WSDL